void drawLabels(){
  //draw label border
  fill(50);
  rect(0, vMargin, cellHeight*6.5, cellHeight*15);
  fill(100);
  rect(0, cellHeight*15, cellHeight*6.5, cellHeight*10);
  //Draw vertical labels
  for (int i=2; i<numColumns; i++) {
    textAlign(RIGHT, CENTER);
    fill(255);
    textSize(11);
    text(labelNames[i], hMargin, 
      vMargin + cellHeight/2 + cellHeight*(i-1)*1.003);
  }

  //draw timeline
  fill(200);
  rect(hMargin + cellWidth*22 + (3.4*cellWidth), vMargin-47, 32, 20);

  stroke(50);
  strokeWeight(1);
  line(hMargin + 8, vMargin - 10, width - (hMargin+29), vMargin - 10);
  for (int k=1; k< 98; k++) {
    for (int m = 1; m < 96; m+=12) {
      //months
      line(hMargin + cellWidth*k, vMargin-10, hMargin + cellWidth*k, vMargin-20);
      //years
      fill(10);
      strokeWeight(0);
      text(int(table.getFloat(m, 1)), hMargin + cellWidth*m + (3.5*cellWidth), vMargin-40);
      line(hMargin + cellWidth*m, vMargin-10, hMargin + cellWidth*m, vMargin-40);
    }
  }

  //draw title
  textSize(34);
  text("Where", width - hMargin/3, 20);
  noFill();
  rect(width - 45, 10, 40, 40);

  pushMatrix();
  rotate(radians(90));  
  text("To Turn", 190, -width + 20);
  popMatrix();

  textSize(12);
  textAlign(RIGHT);
  //Monthly Checkout Rates of Biblical Texts and Financial Best Sellers Surrounding the Financial
  //Crisis of 2008
  text("Monthly Checkout Rates of Biblical Texts and Financial Best Sellers", width-55, height - 35);
  text("Surrounding the Financial Crisis of 2008", width-55, height - 15);
  rect(width - 45, height - 50, 40, 40);
  
}